Berichte

Notizen
Expert level
Der API-Schlüssel sollte als Bearer-Token im Authorization-Header der Anfrage gesendet werden. Erhalten Sie Ihren API-Schlüssel.
Liste

API Endpunkt:

GET
https://seo.smartone-connect.com/api/v1/reports

Beispielanfrage:

curl --location --request GET 'https://seo.smartone-connect.com/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Typ
Beschreibung
search
optional string
Suchanfrage.
search_by
optional string
Suche nach. Mögliche Werte sind: url von URL. Standard von: url.
project
optional string
Projektname.
result
optional string
The report result. Mögliche Werte sind: good von Gut, decent von Mittel, bad von Schlecht.
sort_by
optional string
Sortieren nach. Mögliche Werte sind: id von Erstellungsdatum, generated_at von Generierungs-Datum, url von URL, result von Ergebnisse. Standard von: id.
sort
optional string
Sortieren. Mögliche Werte sind: desc von Absteigend, asc von Aufsteigend. Standard von: desc.
per_page
optional int
Ergebnisse pro Seite. Mögliche Werte sind: 10, 25, 50, 100. Standard von: 10.
Anzeigen

API Endpunkt:

GET
https://seo.smartone-connect.com/api/v1/reports/{id}

Beispielanfrage:

curl --location --request GET 'https://seo.smartone-connect.com/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Speichern

API Endpunkt:

POST
https://seo.smartone-connect.com/api/v1/reports

Beispielanfrage:

curl --location --request POST 'https://seo.smartone-connect.com/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'
Parameter
Typ
Beschreibung
url
benötigt string
The webpage's URL.
privacy
optional integer
Report page privacy. Mögliche Werte sind: 0 von Öffentlich, 1 von Privat, 2 von Passwort. Standard von: 1.
password
optional string
The password for the report page. Only works with privacy set to 2.
Aktualisieren

API Endpunkt:

PUT PATCH
https://seo.smartone-connect.com/api/v1/reports/{id}

Beispielanfrage:

curl --location --request PUT 'https://seo.smartone-connect.com/api/v1/reports/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parameter
Typ
Beschreibung
privacy
optional integer
Report page privacy. Mögliche Werte sind: 0 von Öffentlich, 1 von Privat, 2 von Passwort.
password
optional string
The password for the report page. Only works with privacy set to 2.
results
optional integer
Update the report results. Mögliche Werte sind: 0 von Nein, 1 von Ja. Standard von: 0.
Löschen

API Endpunkt:

DELETE
https://seo.smartone-connect.com/api/v1/reports/{id}

Beispielanfrage:

curl --location --request DELETE 'https://seo.smartone-connect.com/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'